View Issue Details

IDProjectCategoryView StatusLast Update
0015010ScribusPDFpublic2017-12-20 20:58
Reportersefran Assigned Tojghali  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Version
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015010: Radio button group name incorrectly exported
DescriptionWhen generate group of radio bouton with example name "MyGroupRadios", the name generated into PDF is /MyGroupRadio.
Steps To ReproduceCreate 2 radio form PDF. Group them.
Name Group MyGroupRadios

The JavaScript launch at startup PDF

function Start()
{
  //Read all of field form PDF
  console.println("Read all of field form PDF");
  for (var i = 0; i < this.numFields; i++){
    var nomchamppdf = this.getNthFieldName(i);
    console.println(nomchamppdf);
    //Affiche l'indice du champ PDF, son nom d'objet et son type
    app.alert("Field[" + i + "] : " + nomchamppdf + " de type " + champpdf.type);
  };
};
Additional InformationYou can show the result with Acrobat reader with file generated Test-2_bad.pdf with widget type radiobutton
Name /Groupe1 and /Groupe2

And after patch with file Test-2_good.pdf
Name Groupe1 and Groupe2
Tagspdf export
PatchYes

Activities

sefran

2017-10-05 21:55

reporter  

Test-2_bad.pdf (531,712 bytes)
Test-2_good.pdf (531,686 bytes)
name_group_radio.patch (582 bytes)
--- scribus15/scribus/pdflib_core.cpp	2017-10-02 21:08:49.608222244 +0200
+++ scribus15-new/scribus/pdflib_core.cpp	2017-10-05 23:16:26.813486770 +0200
@@ -8752,9 +8755,10 @@
 		QByteArray onState = "";
 		QByteArray anTitle;
 		if (it.key() == 0)
 			anTitle = "Page" + Pdf::toPdf(ActPageP->pageNr() + 1);
 		else
-			anTitle = Pdf::toName(it.key()->itemName().replace(".", "_" ));
+			anTitle = Pdf::toName(it.key()->itemName().replace(".", "_" )).replace("/", "");
 		for (int a = 0; a < bList.count(); a++)
 		{
 			PdfId kid = PDF_RadioButton(bList[a], parentObject, anTitle);

jghali

2017-10-05 23:57

administrator   ~0044491

Issue fixed. My fix is slightly different than yours tho.

sefran

2017-10-06 08:28

reporter   ~0044493

Where is located ? The file nameā€¦
I'm looking for, but i don't find them.

Issue History

Date Modified Username Field Change
2017-10-05 21:55 sefran New Issue
2017-10-05 21:55 sefran File Added: Test-2_bad.pdf
2017-10-05 21:55 sefran File Added: Test-2_good.pdf
2017-10-05 21:55 sefran File Added: name_group_radio.patch
2017-10-05 21:55 sefran Tag Attached: pdf export
2017-10-05 23:55 jghali Summary Bug when generate name group of radio => Radio button group name incorrectly exported
2017-10-05 23:57 jghali Assigned To => jghali
2017-10-05 23:57 jghali Status new => resolved
2017-10-05 23:57 jghali Resolution open => fixed
2017-10-05 23:57 jghali Fixed in Version => 1.5.4.svn
2017-10-05 23:57 jghali Note Added: 0044491
2017-10-06 08:28 sefran Note Added: 0044493
2017-12-20 20:58 cbradney Status resolved => closed